Holger's Java API

## com.antelmann.net.protocol.db
Class Handler

    java.lang.Object
      java.net.URLStreamHandler
          com.antelmann.net.protocol.db.Handler

    @Todo
    public class Handler

extends URLStreamHandler

Since:
  07.05.2011, 23:51:54
Author:
  Holger Antelmann

Constructor Summary
`Handler()`

Method Summary
`protected URLConnection` `openConnection(URL url)`
`protected void` `parseURL(URL u, String spec, int start, int limit)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### openConnection

    protected URLConnection openConnection(URL url)
                                    throws IOException

  Specified by:
    `openConnection` in class `URLStreamHandler`
  Throws:
    `IOException`

### parseURL

    protected void parseURL(URL u,
                            String spec,
                            int start,
                            int limit)

  Overrides:
    `parseURL` in class `URLStreamHandler`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads